%define     name        chipwire
%define     version     1.1
%define     release     1.norlug
%define     url         http://norlug.org/~chipster/chipwire

Summary:    File alteration/intrusion detection monitor
Name:       %{name}
Version:    %{version}
Release:    %{release}
Source0:    %{name}-%{version}.tar.gz
URL:        %{url}
License:    GPL
Group:      Applications/Administration
Requires:	perl
BuildRoot:  %{_tmppath}/%{name}-buildroot
Prefix:     %{_prefix}
BuildArch:  noarch

%description
chipwire is a system integrity checker.
It runs every night and watches for changes on files.
If a file has changed in any way, it will inform you
by email(if you prefer that). Beside of this it can
also look for changed or added user accounts, cronjobs,
weird processes and suid files. And you can define your
own checks using inline scriptlets.

It stores the properties for each file in a dbm database
and will warn you if something has been changed on a
file. The most important thing to check for, is the
MD5-checksum. This checksum will never be the same if
the file content has changed even if only one letter
has changed. But you can also look for some other
properties, like ownership or filemode. See the
chipwirerc manpage for more details on that! 

You can use chipwire as an Intrusion Detection System or
simply as a system monitor.

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot%{_docdir}/%{name}-%{version}/sample_configs
mkdir -p %buildroot%{_bindir}
mkdir -p %buildroot/%{_mandir}/man1
install -m700 bin/chipwire %buildroot%{_bindir}
install -m700 bin/rsa_test.pl %buildroot%{_bindir}
install -m644 docs/* %buildroot%{_docdir}/%{name}-%{version}
install -m644 sample_configs/* %buildroot%{_docdir}/%{name}-%{version}/sample_configs
install -m644 man/* %buildroot%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkdir -p /var/chipwire
mkdir -p /etc/chipwire.d
cp -fp %{_docdir}/%{name}-%{version}/sample_configs/linuxrc /etc/chipwire.d
cp -fp %{_docdir}/%{name}-%{version}/sample_configs/chipwirerc /etc/

%postun
rm -rf /var/chipwire /etc/chipwire.d /etc/chipwirerc

%files
%defattr(-,root,root)
#%doc [A-Z][A-Z]*
%doc %{_docdir}/%{name}-%{version}/*
%{_bindir}/chipwire
%{_bindir}/rsa_test.pl
%{_mandir}/*/*

%changelog

